/* map popup */

.header-map-popup {
  display: flex;
  justify-content: center;
  align-items: center;
}

.header-map-popup__body {
  max-width: 1372px;
  height: 700px;
  position: static;
  margin: 0 auto;
  overflow: hidden;
}
/*
.header-map-popup__header {
  background-color: #f1f1f1;
}
*/
.header-map-popup__header {
  height: 50px;
  display: flex;
  align-items: center;
  justify-content: flex-end;
  padding-right: 10px;
}

.header-map-popup__close-btn {
  width: 56px;
  height: 56px;
  margin-left: auto;
}

.header-map-popup__product-block {
  display: flex;
  align-items: center;
  justify-content: space-between;
  border-bottom: 1px solid #e2e2e3;
  padding: 12px 30px;
  gap: 10px;
}

.map-product-block__left {
  display: flex;
  align-items: center;
  box-sizing: border-box;
  gap: 16px;
}

.map-product-block__title {
  font-size: 16px;
  margin-bottom: 0;
}

.header-map-popup__toggler-container {
  padding: 0 20px;
  display: none;
}

.header-map-popup__toggler {
  display: flex;
  width: 100%;
  align-items: center;
  justify-content: space-between;
  background: #f1f1f1;
  border-radius: 68px;
  padding: 4px;
}

.header-map-popup__toggler-item {
  width: 50%;
  padding: 9px;
  text-align: center;
  border-radius: 25px;
  transition: background-color 0.4s linear;
  cursor: pointer;
}

.header-map-popup__toggler-item.active {
  background-color: #fff;
}

.header-map-popup__list.hidden {
  display: flex;
}

.header-map-popup__content {
  display: flex;
  justify-content: space-between;
  padding: 20px 20px;
}

.header-map-popup__left {
  width: 477px;
  padding-bottom: 30px;
  flex-shrink: 0;
}

.header-map-popup__list {
  display: flex;
  flex-direction: column;
  gap: 12px;
  padding: 0 16px 0 30px;
  overflow: auto;
  scroll-behavior: smooth;
}

.header-map-popup__list::-webkit-scrollbar {
  width: 4px;
}

.header-map-popup__list::-webkit-scrollbar-thumb {
  background-color: rgb(44, 44, 44, 0.3);
}

.header-map-popup__list::-webkit-scrollbar-track {
  background-color: transparent;
}

.header-map-popup__item {
  width: 100%;
  padding: 16px 16px 16px 45px;
  border: 1px solid #cbd3e2;
  border-radius: 6px;
  box-sizing: border-box;
  transition: border-color 0.4s ease;
  display: flex;
  flex-direction: column;
  gap: 4px;
  transition: border-color 0.4s ease;
  font-size: 14px;
}

.header-map-popup__item.active {
  border-color: #fbbb00;
}

.map-item__row {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  column-gap: 14px;
  row-gap: 3px;
}

.map-item__row--mob-flex {
  flex-direction: column;
  align-items: flex-start;
}

.map-item__column {
  display: flex;
  align-items: center;
  gap: 14px;
}

.map-item__address {
  font-size: 16px;
}

.map-item__address::before {
  content: "";
  width: 16px;
  height: 21px;
  background-image: url(../images/icons/v2/geo-icon.svg);
  background-repeat: no-repeat;
  position: absolute;
  left: -28px;
  top: 48%;
  transform: translateY(-50%);
}

.map-item__quantity {
  margin-left: auto;
  font-size: 14px;
}

.map-item__worktime {
  display: flex;
  gap: 8px;
}

.map-item__days {
  opacity: 0.5;
  font-size: 14px;
}

.map-item__time {
  font-size: 14px;
}

.map-item__delivery {
  font-size: 14px;
  padding: 6px 10px;
  background-color: #f1f1f1;
  border-radius: 5px;
}

.header-map-popup__right {
  height: 100%;
  box-sizing: border-box;
}

.header-map-popup__map {
  height: 100%;
  width: 100%;
}

@media screen and (max-width: 1440px) {
  .header-map-popup {
    padding: 40px;
  }

  .header-map-popup__left {
    width: 444px;
  }

  .header-map-popup__item {
    padding-left: 30px;
  }

  .map-item__address {
    display: flex;
    gap: 10px;
  }

  .map-item__address::before {
    position: static;
    transform: translateY(0);
  }

  .header-map-popup__close-btn {
    width: 45px;
    height: 45px;
  }

  .header-map-popup__content {
    height: 550px;
  }
  .header-map-popup__right {
    margin: 0;
    width: 800px;
  }
}

@media screen and (max-width: 1280px) {
  .header-map-popup__item {
    padding: 15px;
  }

  .header-map-popup__left {
    width: 380px;
  }
}

@media screen and (max-width: 1024px) {
  .header-map-popup {
    padding: 0;
  }

  .header-map-popup__body {
    height: 100%;
    border-radius: 0;
    overflow-y: auto;
  }

  .header-map-popup__content {
    flex-direction: column;
    position: relative;
  }

  .header-map-popup__left {
    width: 100%;
    padding-bottom: 20px;
    padding-top: 0;
  }

  .header-map-popup__right {
    margin: 0;
    width: 100%;
  }

  .header-map-popup__close-btn {
    width: 53px;
    height: 53px;
  }

  .header-map-popup__list {
    padding: 0;
    margin: 0 4px;
    margin-top: 12px;
  }

  .map-item__address {
    font-size: 14px;
  }

  .map-item__quantity {
    font-size: 14px;
  }

  .map-item__days {
    font-size: 12px;
  }

  .map-item__time {
    font-size: 12px;
  }

  .header-map-popup__product-block {
    padding: 12px 20px;
  }

  .map-product-block__left {
    gap: 11px;
  }

  .map-product-block__title {
    font-size: 14px;
  }

  .map-item__row--mob-flex {
    flex-direction: row;
    justify-content: space-between;
  }

  .map-item__delivery {
    font-size: 12px;
  }
  .map-item__days {
    font-size: 12px;
  }

  .map-item__time {
    font-size: 12px;
  }
  .header-map-popup__list.hidden {
    display: none;
  }
  .header-map-popup__toggler-container {
    display: flex;
    padding: 0;
  }
}

@media screen and (max-width: 768px) {
  .header-map-popup__item {
    padding: 12px;
  }
  .header-map-popup__product-block {
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    gap: 4px;
  }

  .map-item__row--mob-flex {
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
  }
}

.base-popup__top{
	height: 50px;
	font-size: 14px;
  line-height: 14px;
}

.adress-popup__body-head {
  display: grid;
  grid-template-columns: 1fr;
  gap: 10px;
}

@media (min-width: 768px) {
  .adress-popup__body-head {
    grid-template-columns: 1fr 1fr;
    gap: 78px;
  }
  .adress-popup__body-contact_status {
    align-items: flex-start;
  }
  .adress-popup__body {
    padding: 20px 32px;
  }
  .adress-popup__body-contact {
    text-align: center;
  }
  .adress-popup__body-contact > div {
    justify-content: center;
  }
  .adress-popup__body-contact > div > a {
    font-weight: 600;
  }
}

@media (min-width: 1024px) {
  .new-header-desc__top-nav {
    display: none;
  }
  .new-header-desc__top-content {
    padding: 20px;
  }
  .new-header-desc__main-content {
    padding: 20px;
  }
  .new-header-desc__main a.reyting {
    display: none;
  }
  .header-desc-main__menu {
    gap: 20px;
  }
  .new-header-desc__main .logo {
    width: 155px;
  }
  .header-desc-main__catalog-handler {
    padding: 0 18px;
    height: 44px;
    border-radius: 74px;
    font-size: 16px;
    line-height: 20px;
    letter-spacing: 0.01em;
  }
  .header-desc-main__search-input-cont {
    height: 44px;
  }
}

@media (min-width: 1440px) {
  .new-header-desc__top-nav {
    display: flex;
  }
  .new-header-desc__top-content {
    padding: 20px 30px;
  }
  .new-header-desc__main-content {
    padding: 20px 30px;
  }
  .new-header-desc__main a.reyting {
    display: flex;
  }
  .header-desc-main__menu {
    gap: 30px;
  }
  .new-header-desc__main .logo {
    width: 175px;
  }
  .header-desc-main__catalog-handler {
    height: 48px;
  }
  .header-desc-main__search-input-cont {
    height: 48px;
  }
}
